API ReferenceJSON
Retrieve all presentation templates
GET
Returns a list of all presentation templates on your tenant.
Roles
adminverifier
Analytics Events
PRESENTATION_WEB_SEMANTIC_TEMPLATE_RETRIEVE_LIST_STARTPRESENTATION_WEB_SEMANTIC_TEMPLATE_RETRIEVE_LIST_SUCCESSPRESENTATION_WEB_SEMANTIC_TEMPLATE_RETRIEVE_LIST_FAIL
bearerAuthheader
AuthorizationBearer <token>limit?numberRange size of returned list.
Range
1 <= value <= 1000Default
100cursor?stringStarting point for the list of entries.
Presentation templates retrieved
application/json- response
nextCursor?stringStarting point for next cursor to use in a page
data?array<>curl -X GET 'https://example.vii.au01.mattr.global/v2/credentials/web-semantic/presentations/templates'{ "nextCursor": "Y3JlYXRlZEF0PTIwMjAtMDgtMjVUMDY6NDY6MDkuNTEwWiZpZD1hNjZmZmVhNS04NDhlLTQzOWQtODBhNC1kZGE1NWY1M2UzNmM", "data": [ { "id": "64e45290-9980-11ea-b872-f1bee5fb328f", "domain": "tenant.vii.mattr.global", "name": "alumni_credential_request", "query": [ { "type": "QueryByExample", "credentialQuery": [ { "required": true, "reason": "string", "example": { "@context": [ null ], "type": "AlumniCredential", "trustedIssuer": [ { "required": true, "issuer": "string" } ] } } ] } ] } ]}How would you rate this page?
Create a presentation template POST
Creates a presentation template defining what type of credential is required for a particular verification workflow. Presentation templates are used to create presentation requests that are shared with a specific holder.
Retrieve a presentation template GET
Retrieve an existing presentation template by its ID.